> For the complete documentation index, see [llms.txt](https://docs.abtasty.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.abtasty.com/flagship-deprecated/release-notes/may-release-notes.md).

# May Release Notes ☀️

## 🍸 May Release Notes ☀️

## **Dashboard Search & filters**

### **Don’t lose time searching for the right use case.** <a href="#search_filters" id="search_filters"></a>

![dashboard\_search\_and\_filter.png](https://195542843-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FPLcJUpntQruhbI1jQ2kr%2Fuploads%2Fgit-blob-bb57e71d45720f29eba78df49057ae5804b839d5%2F014f36905a45aa523c644634c08d3cfc.png?alt=media)

You will create a lot of interesting use cases in your projects. But that's no reason to struggle when you're looking for one in particular. That's why we've enhanced our search feature on the dashboard, allowing you to go beyond just searching by project name and help you easily find the use case you’re looking for.

You can now search by:

* Project name
* CampaignId
* CampaignName
* VariationGroupId
* VariationId

And filter by:

* Status (active/paused)
* Use case types

Find what you're looking for immediately.

#### **Want more information?**

**👉** Consult the [Developer documentation](https://flagship.zendesk.com/hc/en-us/articles/4687117089820)

## **PHP and React Native SDKs update**

### **Managing flags just got easier for two other SDKs.** <a href="#sdk_update" id="sdk_update"></a>

Following our other SDK updates, it’s now the turn of [PHP](https://docs.developers.flagship.io/docs/php-sdk) and[ React Native](https://docs.developers.flagship.io/docs/react-native-sdk) to be updated and receive a few exciting upgrades in addition to code refactoring.

* Option to customize the cache with 3 new methods:
  * cacheVisitor: instantiate the cache
  * lookupVisitor: check inside the cache
  * flushVisitor: empty the cache (i.e: in case a user doesn’t consent)
* Store 2 types of information in the cache:
  * Tracking hits
  * Visitor Profile cache (user context, assignation, use cases, consent)
* Similarly to other SDKs, we also streamlined the flag management methods:
  * "getModification" becomes "getFlags" and now allows you to get all the information you need about a specific flag
  * "synchronizeModifications" becomes "fetchFlags"
  * "activateModification" becomes "userExposed"
* This update also brings the following news for React Native (already available for PHP):
  * React Native is now compatible with Experience Continuity
  * Bucketing Mode is now enabled
  * Automatically detect user consent
  * And you can now customize the log manager

#### **Want more information?**

**👉** [PHP user documentation](https://docs.developers.flagship.io/docs/php-sdk)

**👉** [React Native User Documentation](https://docs.developers.flagship.io/docs/react-native-sdk)

## **Other SDK Updates**

* You can now use ESModules with Javascript, ReactJS
* ReactJS is now compatible with ViteJS


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.abtasty.com/flagship-deprecated/release-notes/may-release-notes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
